curl --request GET \
--url "https://api.trestleiq.com/3.1/location?address.street_line_1=100%20Main%20St&address.city=Seattle&address.state_code=WA&address.postal_code=98101" \
--header "x-api-key: YOUR_API_KEY"
const response = await fetch(
"https://api.trestleiq.com/3.1/location?address.street_line_1=100%20Main%20St&address.city=Seattle&address.state_code=WA&address.postal_code=98101",
{
headers: {
"x-api-key": "YOUR_API_KEY",
},
}
);
const data = await response.json();
import axios from "axios";
const { data } = await axios.get(
"https://api.trestleiq.com/3.1/location?address.street_line_1=100%20Main%20St&address.city=Seattle&address.state_code=WA&address.postal_code=98101",
{
headers: {
"x-api-key": "YOUR_API_KEY",
},
}
);
console.log(data);
import requests
headers = {"x-api-key": "YOUR_API_KEY"}
params = {
"address.street_line_1": "100 Main St",
"address.city": "Seattle",
"address.state_code": "WA",
"address.postal_code": "98101",
}
response = requests.get(
"https://api.trestleiq.com/3.1/location",
params=params,
headers=headers,
timeout=30,
)
data = response.json()
print(data)
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
var response = await client.GetAsync("https://api.trestleiq.com/3.1/location?address.street_line_1=100%20Main%20St&address.city=Seattle&address.state_code=WA&address.postal_code=98101");
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.trestleiq.com/3.1/location?address.street_line_1=100%20Main%20St&address.city=Seattle&address.state_code=WA&address.postal_code=98101", nil)
req.Header.Set("x-api-key", "YOUR_API_KEY")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
<?php
$curl = curl_init("https://api.trestleiq.com/3.1/location?address.street_line_1=100%20Main%20St&address.city=Seattle&address.state_code=WA&address.postal_code=98101");
curl_setopt($curl, CURLOPT_HTTPHEADER, ["x-api-key: YOUR_API_KEY"]);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class ReverseAddressExample {
public static void main(String[] args) throws Exception {
HttpRequest request =
HttpRequest.newBuilder()
.uri(
URI.create(
"https://api.trestleiq.com/3.1/location?address.street_line_1=100%20Main%20St&address.city=Seattle&address.state_code=WA&address.postal_code=98101"))
.header("x-api-key", "YOUR_API_KEY")
.GET()
.build();
HttpResponse<String> response =
HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
{
"id": "Location.d1a40ed5-a70a-46f8-80a9-bb4ac27e3a01",
"is_valid": true,
"street_line_1": "100 Syrws St",
"street_line_2": "Ste 1",
"city": "Lynden",
"postal_code": "98264",
"zip4": "98264-9999",
"state_code": "WA",
"country_code": "US",
"lat_long": {
"latitude": 0,
"longitude": 0,
"accuracy": "Neighborhood"
},
"is_active": true,
"is_commercial": true,
"delivery_point": "SingleUnit",
"current_residents": [
{
"id": "Person.fffdcf06-0929-4b5a-9921-ee49b101ca84",
"name": "Waidong L Syrws",
"firstname": "Waidong",
"middlename": "L",
"lastname": "Syrws",
"alternate_names": [
"Sryws W L"
],
"age_range": "25-29",
"gender": null,
"type": "Person",
"industry": null,
"link_to_address_start_date": "2023-01-02",
"historical_addresses": [
{
"id": "Location.d1a40ed5-a70a-46f8-80a9-bb4ac27e3a01",
"location_type": "Address",
"street_line_1": "10 Main St",
"street_line_2": "Ste 1",
"city": "Lynden",
"postal_code": "98264",
"zip4": "98264-9999",
"state_code": "WA",
"country_code": "US",
"lat_long": {
"latitude": 0,
"longitude": 0,
"accuracy": "Neighborhood"
},
"is_active": true,
"delivery_point": "SingleUnit",
"link_to_person_start_date": "2011-10-05",
"link_to_person_end_date": null
}
],
"associated_people": [
{
"id": "Person.fffdcf06-0929-4b5a-9921-ee49b101ca84",
"name": "Waidong L Syrws",
"firstname": "Waidong",
"middlename": "L",
"lastname": "Syrws",
"relation": "Household"
}
]
}
],
"error": {
"name": "InternalError",
"message": "Could not retrieve entire response"
},
"warnings": [
"Missing Input"
]
}
curl --request GET \
--url "https://api.trestleiq.com/3.1/location?address.street_line_1=100%20Main%20St&address.city=Seattle&address.state_code=WA&address.postal_code=98101" \
--header "x-api-key: YOUR_API_KEY"
const response = await fetch(
"https://api.trestleiq.com/3.1/location?address.street_line_1=100%20Main%20St&address.city=Seattle&address.state_code=WA&address.postal_code=98101",
{
headers: {
"x-api-key": "YOUR_API_KEY",
},
}
);
const data = await response.json();
import axios from "axios";
const { data } = await axios.get(
"https://api.trestleiq.com/3.1/location?address.street_line_1=100%20Main%20St&address.city=Seattle&address.state_code=WA&address.postal_code=98101",
{
headers: {
"x-api-key": "YOUR_API_KEY",
},
}
);
console.log(data);
import requests
headers = {"x-api-key": "YOUR_API_KEY"}
params = {
"address.street_line_1": "100 Main St",
"address.city": "Seattle",
"address.state_code": "WA",
"address.postal_code": "98101",
}
response = requests.get(
"https://api.trestleiq.com/3.1/location",
params=params,
headers=headers,
timeout=30,
)
data = response.json()
print(data)
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
var response = await client.GetAsync("https://api.trestleiq.com/3.1/location?address.street_line_1=100%20Main%20St&address.city=Seattle&address.state_code=WA&address.postal_code=98101");
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.trestleiq.com/3.1/location?address.street_line_1=100%20Main%20St&address.city=Seattle&address.state_code=WA&address.postal_code=98101", nil)
req.Header.Set("x-api-key", "YOUR_API_KEY")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
<?php
$curl = curl_init("https://api.trestleiq.com/3.1/location?address.street_line_1=100%20Main%20St&address.city=Seattle&address.state_code=WA&address.postal_code=98101");
curl_setopt($curl, CURLOPT_HTTPHEADER, ["x-api-key: YOUR_API_KEY"]);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class ReverseAddressExample {
public static void main(String[] args) throws Exception {
HttpRequest request =
HttpRequest.newBuilder()
.uri(
URI.create(
"https://api.trestleiq.com/3.1/location?address.street_line_1=100%20Main%20St&address.city=Seattle&address.state_code=WA&address.postal_code=98101"))
.header("x-api-key", "YOUR_API_KEY")
.GET()
.build();
HttpResponse<String> response =
HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
{
"id": "Location.d1a40ed5-a70a-46f8-80a9-bb4ac27e3a01",
"is_valid": true,
"street_line_1": "100 Syrws St",
"street_line_2": "Ste 1",
"city": "Lynden",
"postal_code": "98264",
"zip4": "98264-9999",
"state_code": "WA",
"country_code": "US",
"lat_long": {
"latitude": 0,
"longitude": 0,
"accuracy": "Neighborhood"
},
"is_active": true,
"is_commercial": true,
"delivery_point": "SingleUnit",
"current_residents": [
{
"id": "Person.fffdcf06-0929-4b5a-9921-ee49b101ca84",
"name": "Waidong L Syrws",
"firstname": "Waidong",
"middlename": "L",
"lastname": "Syrws",
"alternate_names": [
"Sryws W L"
],
"age_range": "25-29",
"gender": null,
"type": "Person",
"industry": null,
"link_to_address_start_date": "2023-01-02",
"historical_addresses": [
{
"id": "Location.d1a40ed5-a70a-46f8-80a9-bb4ac27e3a01",
"location_type": "Address",
"street_line_1": "10 Main St",
"street_line_2": "Ste 1",
"city": "Lynden",
"postal_code": "98264",
"zip4": "98264-9999",
"state_code": "WA",
"country_code": "US",
"lat_long": {
"latitude": 0,
"longitude": 0,
"accuracy": "Neighborhood"
},
"is_active": true,
"delivery_point": "SingleUnit",
"link_to_person_start_date": "2011-10-05",
"link_to_person_end_date": null
}
],
"associated_people": [
{
"id": "Person.fffdcf06-0929-4b5a-9921-ee49b101ca84",
"name": "Waidong L Syrws",
"firstname": "Waidong",
"middlename": "L",
"lastname": "Syrws",
"relation": "Household"
}
]
}
],
"error": {
"name": "InternalError",
"message": "Could not retrieve entire response"
},
"warnings": [
"Missing Input"
]
}
Reverse Address API
Reverse Address API Documentation
Reverse Address API Documentation: Verify and enrich an address, then return current residents, demographics, historical addresses, and phones.
curl --request GET \
--url "https://api.trestleiq.com/3.1/location?address.street_line_1=100%20Main%20St&address.city=Seattle&address.state_code=WA&address.postal_code=98101" \
--header "x-api-key: YOUR_API_KEY"
const response = await fetch(
"https://api.trestleiq.com/3.1/location?address.street_line_1=100%20Main%20St&address.city=Seattle&address.state_code=WA&address.postal_code=98101",
{
headers: {
"x-api-key": "YOUR_API_KEY",
},
}
);
const data = await response.json();
import axios from "axios";
const { data } = await axios.get(
"https://api.trestleiq.com/3.1/location?address.street_line_1=100%20Main%20St&address.city=Seattle&address.state_code=WA&address.postal_code=98101",
{
headers: {
"x-api-key": "YOUR_API_KEY",
},
}
);
console.log(data);
import requests
headers = {"x-api-key": "YOUR_API_KEY"}
params = {
"address.street_line_1": "100 Main St",
"address.city": "Seattle",
"address.state_code": "WA",
"address.postal_code": "98101",
}
response = requests.get(
"https://api.trestleiq.com/3.1/location",
params=params,
headers=headers,
timeout=30,
)
data = response.json()
print(data)
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
var response = await client.GetAsync("https://api.trestleiq.com/3.1/location?address.street_line_1=100%20Main%20St&address.city=Seattle&address.state_code=WA&address.postal_code=98101");
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.trestleiq.com/3.1/location?address.street_line_1=100%20Main%20St&address.city=Seattle&address.state_code=WA&address.postal_code=98101", nil)
req.Header.Set("x-api-key", "YOUR_API_KEY")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
<?php
$curl = curl_init("https://api.trestleiq.com/3.1/location?address.street_line_1=100%20Main%20St&address.city=Seattle&address.state_code=WA&address.postal_code=98101");
curl_setopt($curl, CURLOPT_HTTPHEADER, ["x-api-key: YOUR_API_KEY"]);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class ReverseAddressExample {
public static void main(String[] args) throws Exception {
HttpRequest request =
HttpRequest.newBuilder()
.uri(
URI.create(
"https://api.trestleiq.com/3.1/location?address.street_line_1=100%20Main%20St&address.city=Seattle&address.state_code=WA&address.postal_code=98101"))
.header("x-api-key", "YOUR_API_KEY")
.GET()
.build();
HttpResponse<String> response =
HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
{
"id": "Location.d1a40ed5-a70a-46f8-80a9-bb4ac27e3a01",
"is_valid": true,
"street_line_1": "100 Syrws St",
"street_line_2": "Ste 1",
"city": "Lynden",
"postal_code": "98264",
"zip4": "98264-9999",
"state_code": "WA",
"country_code": "US",
"lat_long": {
"latitude": 0,
"longitude": 0,
"accuracy": "Neighborhood"
},
"is_active": true,
"is_commercial": true,
"delivery_point": "SingleUnit",
"current_residents": [
{
"id": "Person.fffdcf06-0929-4b5a-9921-ee49b101ca84",
"name": "Waidong L Syrws",
"firstname": "Waidong",
"middlename": "L",
"lastname": "Syrws",
"alternate_names": [
"Sryws W L"
],
"age_range": "25-29",
"gender": null,
"type": "Person",
"industry": null,
"link_to_address_start_date": "2023-01-02",
"historical_addresses": [
{
"id": "Location.d1a40ed5-a70a-46f8-80a9-bb4ac27e3a01",
"location_type": "Address",
"street_line_1": "10 Main St",
"street_line_2": "Ste 1",
"city": "Lynden",
"postal_code": "98264",
"zip4": "98264-9999",
"state_code": "WA",
"country_code": "US",
"lat_long": {
"latitude": 0,
"longitude": 0,
"accuracy": "Neighborhood"
},
"is_active": true,
"delivery_point": "SingleUnit",
"link_to_person_start_date": "2011-10-05",
"link_to_person_end_date": null
}
],
"associated_people": [
{
"id": "Person.fffdcf06-0929-4b5a-9921-ee49b101ca84",
"name": "Waidong L Syrws",
"firstname": "Waidong",
"middlename": "L",
"lastname": "Syrws",
"relation": "Household"
}
]
}
],
"error": {
"name": "InternalError",
"message": "Could not retrieve entire response"
},
"warnings": [
"Missing Input"
]
}
curl --request GET \
--url "https://api.trestleiq.com/3.1/location?address.street_line_1=100%20Main%20St&address.city=Seattle&address.state_code=WA&address.postal_code=98101" \
--header "x-api-key: YOUR_API_KEY"
const response = await fetch(
"https://api.trestleiq.com/3.1/location?address.street_line_1=100%20Main%20St&address.city=Seattle&address.state_code=WA&address.postal_code=98101",
{
headers: {
"x-api-key": "YOUR_API_KEY",
},
}
);
const data = await response.json();
import axios from "axios";
const { data } = await axios.get(
"https://api.trestleiq.com/3.1/location?address.street_line_1=100%20Main%20St&address.city=Seattle&address.state_code=WA&address.postal_code=98101",
{
headers: {
"x-api-key": "YOUR_API_KEY",
},
}
);
console.log(data);
import requests
headers = {"x-api-key": "YOUR_API_KEY"}
params = {
"address.street_line_1": "100 Main St",
"address.city": "Seattle",
"address.state_code": "WA",
"address.postal_code": "98101",
}
response = requests.get(
"https://api.trestleiq.com/3.1/location",
params=params,
headers=headers,
timeout=30,
)
data = response.json()
print(data)
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("x-api-key", "YOUR_API_KEY");
var response = await client.GetAsync("https://api.trestleiq.com/3.1/location?address.street_line_1=100%20Main%20St&address.city=Seattle&address.state_code=WA&address.postal_code=98101");
var body = await response.Content.ReadAsStringAsync();
Console.WriteLine(body);
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
req, _ := http.NewRequest("GET", "https://api.trestleiq.com/3.1/location?address.street_line_1=100%20Main%20St&address.city=Seattle&address.state_code=WA&address.postal_code=98101", nil)
req.Header.Set("x-api-key", "YOUR_API_KEY")
resp, err := http.DefaultClient.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
<?php
$curl = curl_init("https://api.trestleiq.com/3.1/location?address.street_line_1=100%20Main%20St&address.city=Seattle&address.state_code=WA&address.postal_code=98101");
curl_setopt($curl, CURLOPT_HTTPHEADER, ["x-api-key: YOUR_API_KEY"]);
curl_setopt($curl, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($curl);
curl_close($curl);
echo $response;
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class ReverseAddressExample {
public static void main(String[] args) throws Exception {
HttpRequest request =
HttpRequest.newBuilder()
.uri(
URI.create(
"https://api.trestleiq.com/3.1/location?address.street_line_1=100%20Main%20St&address.city=Seattle&address.state_code=WA&address.postal_code=98101"))
.header("x-api-key", "YOUR_API_KEY")
.GET()
.build();
HttpResponse<String> response =
HttpClient.newHttpClient().send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
{
"id": "Location.d1a40ed5-a70a-46f8-80a9-bb4ac27e3a01",
"is_valid": true,
"street_line_1": "100 Syrws St",
"street_line_2": "Ste 1",
"city": "Lynden",
"postal_code": "98264",
"zip4": "98264-9999",
"state_code": "WA",
"country_code": "US",
"lat_long": {
"latitude": 0,
"longitude": 0,
"accuracy": "Neighborhood"
},
"is_active": true,
"is_commercial": true,
"delivery_point": "SingleUnit",
"current_residents": [
{
"id": "Person.fffdcf06-0929-4b5a-9921-ee49b101ca84",
"name": "Waidong L Syrws",
"firstname": "Waidong",
"middlename": "L",
"lastname": "Syrws",
"alternate_names": [
"Sryws W L"
],
"age_range": "25-29",
"gender": null,
"type": "Person",
"industry": null,
"link_to_address_start_date": "2023-01-02",
"historical_addresses": [
{
"id": "Location.d1a40ed5-a70a-46f8-80a9-bb4ac27e3a01",
"location_type": "Address",
"street_line_1": "10 Main St",
"street_line_2": "Ste 1",
"city": "Lynden",
"postal_code": "98264",
"zip4": "98264-9999",
"state_code": "WA",
"country_code": "US",
"lat_long": {
"latitude": 0,
"longitude": 0,
"accuracy": "Neighborhood"
},
"is_active": true,
"delivery_point": "SingleUnit",
"link_to_person_start_date": "2011-10-05",
"link_to_person_end_date": null
}
],
"associated_people": [
{
"id": "Person.fffdcf06-0929-4b5a-9921-ee49b101ca84",
"name": "Waidong L Syrws",
"firstname": "Waidong",
"middlename": "L",
"lastname": "Syrws",
"relation": "Household"
}
]
}
],
"error": {
"name": "InternalError",
"message": "Could not retrieve entire response"
},
"warnings": [
"Missing Input"
]
}
Reverse Address 3.1
GET https://api.trestleiq.com/3.1/location?api_key=[insert_key]&city=[insert_city]&postal_code=[insert_postal_code]&state_code=[insert_state_code]&street_line_1=[insert_street_line_1]
Query Parameters
string
The first line of the street part in the structured address. Cannot be longer than 1000 characters. Example:
street_line_1=100 Syrws Ststring
The second line of the street part in the structured address. Cannot be longer than 1000 characters. Example:
street_line_2=Ste 1string
The name of the city in the structured address. Cannot be longer than 500 characters. Example:
city=Seattlestring
The state code of the structured address. Cannot be longer than 100 characters. Example:
state_code=WAstring
The postal code of the structured address. Cannot be longer than 100 characters. Example:
postal_code=98101string (ISO-3166-2)
The ISO-3166 alpha-2 country code of the address. Cannot be longer than 100 characters. Example:
country_code=USHeaders
string
required
Your API key for authentication. Example:
{{ apiKey }}Response
string or null <Location.<uuid>>
The persistent ID of the address.
boolean or null
True if the address is valid.
string or null
The first line of the street part in the structured address.
string or null
The second line of the street part in the structured address.
string or null
The name of the city in the structured address.
string or null
The postal code of the structured address.
string or null
The state code of the structured address.
string or null ^\d+-\d{4}$
The ZIP+4 code of the structured address (USA).
string or null (ISO-3166-2)
The ISO-3166 alpha-2 country code of the address.
object or null
The coordinates of the geographical location of the address.
boolean or null
True if the address is currently receiving mail.
boolean or null
True if the address is a business address.
string or null (DeliveryPoint)
The type of the delivery point of the address. Enum: SingleUnit MultiUnit POBox PartialAddress
object[]
The list of current person and business residents at the address.
Show owner object
Show owner object
string or null <Person.<uuid>>
The persistent ID of the address.
string or null
The full name of the person.
string or null (FirstName)
The first name of the person.
string or null (MiddleName)
The middle name (or middle initial) of the person.
string or null (LastName)
The last name of the person.
string[]
Alternate names of the person associated with the phone.
string or null (AgeRange)
The age of the person in a 5-year range.
string or null (Gender)
The gender of the person.
string
The type of the legal entity.
- Person: The legal entity is a person.
- Business: The legal entity is a company.
Enum: Person Business
string or null
The date when the person was first linked to the address.
string[] or null
The industry classification of the business associated to the phone.
object[]
A list of historical addresses associated with the current resident of the input address.
Show address object
Show address object
string or null <Location.<uuid>>
The persistent ID of the address.
string or null
The type of the location. Enum: Address ZipPlus4 PostalCode City State Country
string or null
The first line of the street part in the structured address.
string or null
The second line of the street part in the structured address.
string or null
The city associated with the address.
string or null
The postal code of the structured address.
string or null ^\d+-\d{4}$
The ZIP+4 code of the structured address (USA).
string or null
The state code of the structured address.
object or null
The coordinates of the geographical location of the address.
boolean or null
True if the address is currently receiving mail.
string or null (DeliveryPoint)
The type of the delivery point of the address. Enum: SingleUnit MultiUnit POBox PartialAddress
string or null (LinkToPersonStartDate)
The date when the address was first linked to the person.
string or null
The date when the address was last linked to the person.
object[]
A list of people associated to the current home owner.
Show people object
Show people object
string or null <Person.<uuid>>
The persistent ID of the person.
string or null
The full name of the associated person.
string or null
The first name of the associated person.
string or null
The middle name of the associated person.
string or null
The last name of the associated person.
string or null
The relationship between the address owner and the associated person.
object(PartialError)
string[]
Warnings returned as part of the response, if applicable.
Enum: Invalid Address Missing Input Invalid house/building number Missing unit/apt/suite number Invalid unit/apt/suite number
Enum: Invalid Address Missing Input Invalid house/building number Missing unit/apt/suite number Invalid unit/apt/suite number
Error Responses
400 Bad Request
The server cannot process the request due to client-side errors.Check for: Syntax errors in the request script, malformed JSON, or invalid parameters.403 Forbidden
The request is understood, but the server is refusing to fulfill it. Error responses include anerrorCode field identifying the cause:-
Invalid API Key (
AUTHENTICATION_FAILED): The key is incorrect, deactivated, or missing from the request. Check for: Trailing spaces, syntax errors, incorrect character counts, or a missingx-api-keyheader. -
API Key Disabled (Portal Issue) (
AUTHENTICATION_FAILED): The key is inactive. Check for: Insufficient funds in your self-serve wallet or if a Trestle Admin manually deactivated your API key. -
API Key does not have Product Access (Portal Issue) (
AUTHENTICATION_FAILED): The API key is active, but it is not enabled for this product or API version. Check for: Incorrect endpoint, incorrect API version, or missing product access on the key. -
API Key Expired (
AUTHENTICATION_FAILED): The key has reached its end-of-life (primarily affects Trial users).
429 Too Many Requests
You have sent too many requests in a given amount of time.-
Rate Limit Exceeded (
RATE_LIMIT_EXCEEDED): You have surpassed the queries-per-second (QPS) threshold for your tier. -
Quota Exceeded (Portal Issue) (
QUOTA_EXCEEDED): You have reached the total volume allowed for your current billing cycle. Upgrade your plan in the portal to resume service.
